org.jgrapht.demo

## Class PerformanceDemo

- java.lang.Object
- - org.jgrapht.demo.PerformanceDemo

-     public final class PerformanceDemo
      extends Object

  A simple demo to test memory and CPU consumption on a graph with 3 million elements.

  NOTE: To run this demo you may need to increase the JVM max mem size. In Sun's JVM it is done using the "-Xmx" switch. Specify "-Xmx300M" to set it to 300MB.

  WARNING: Don't run this demo as-is on machines with less than 512MB memory. Your machine will start paging severely. You need to first modify it to have fewer graph elements. This is easily done by changing the loop counters below.

  Since:
    Aug 10, 2003
  Author:
    Barak Naveh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerformanceDemo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` The starting point for the demo.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerformanceDemo

          public PerformanceDemo()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      The starting point for the demo.
      Parameters:
        `args` - ignored.

Copyright © 2016. All rights reserved.